Home / Troubleshooting ladders, captures, and debug / Match a ladder before you change anything
Match a ladder before you change anything
A ladder is one dialog only after Call-ID, CSeq, the Via branch, and the To tag agree.
Learn in 5 minutes
- Match messages that belong to one dialog
- Separate a Via branch from a dialog
- Say where a 2xx ACK travels
Visual
Read these before you rename a header or change a route.
Worked example
Find the end-to-end ACK Play the ladder. Which hop is the ACK for the 200 OK, and which branch does it use?
- Press Play.
- Step until the hop named in the question.
- Inspect that message and answer the check.
Fault
A 200 OK is on the screen and the phone still rings.
Call-ID a84b4c76e66710@example.com and Call-ID other-call@example.com are two dialogs.
Quiz
Ecosystem
Glossary, sister systems, and the integration seam for this room.
Workforce management WFM forecasts volume and builds schedules. It consumes contact-center events. It does not parse Via headers. When a forecast is wrong, the SIP symptom is usually queue delay and 480 or carrier congestion, not a broken dialog ID.
Sources and go deeper
- RFC 3261 §8 — last checked 2026-10
- RFC 3261 §17 — last checked 2026-10
- RFC 3261 §12 — last checked 2026-10
- RFC 3665 — last checked 2026-10
- RFC 3261 — last checked 2026-10
- RFC 3261 §13 — last checked 2026-10
- RFC 6026 — last checked 2026-10
- RFC 7092 — last checked 2026-10
- RFC 3261 §21 — last checked 2026-10